dbfo-need
Prev | Part 2. FO Processing Instruction Reference | Next

## dbfo-need

dbfo-need — Specify a need for space (a kind of soft page break)

## Synopsis

    <?dbfo-need height="n" [space-before="n"]?>

## Description

A “need” is a request for space on a page. If the requested space is not available, the page breaks and the content that follows the need request appears on the next page. If the requested space is available, then no page break is inserted.

## Parameters

height="`n`"

  The amount of height needed (including units)

space-before="`n`"

  The amount of extra vertical space to add (including units)

## Related Information in DocBook XSL: The Complete Guide

Soft page breaks

Prev | Up | Next
dbfo_toc | Home | dbfo_row-height